Bug 17834 - REGRESSION: floated first-letter does not work when included in table
Summary: REGRESSION: floated first-letter does not work when included in table
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P1 Major
Assignee: mitz
URL: http://www.lemonde.fr
Keywords: HasReduction, InRadar, Regression
Depends on:
Blocks:
 
Reported: 2008-03-13 13:21 PDT by Remi Nodet
Modified: 2019-08-13 13:36 PDT (History)
1 user (show)

See Also:


Attachments
Show case of the bug (590 bytes, text/html)
2008-03-13 13:21 PDT, Remi Nodet
no flags Details
Recognize existing floating first-letters (32.55 KB, patch)
2008-03-13 16:31 PDT, mitz
no flags Details | Formatted Diff | Diff
Patch (5.08 KB, patch)
2019-08-13 13:29 PDT, Katherine_cheney
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Remi Nodet 2008-03-13 13:21:23 PDT
See attached html file. Works in Safari 3 but not in nightly build.
Comment 1 Remi Nodet 2008-03-13 13:21:47 PDT
Created attachment 19742 [details]
Show case of the bug
Comment 2 Robert Blaut 2008-03-13 13:35:05 PDT
Worth to say that the bug is also float depended. Confirmed in the latest Webkit r31030.
Comment 3 mitz 2008-03-13 16:31:42 PDT
Created attachment 19747 [details]
Recognize existing floating first-letters
Comment 4 Darin Adler 2008-03-14 13:13:44 PDT
Comment on attachment 19747 [details]
Recognize existing floating first-letters

r=me
Comment 5 mitz 2008-03-14 13:34:40 PDT
Fixed in <http://trac.webkit.org/projects/webkit/changeset/31065>.